// /////////
// // Sky //
// /////////

textures/ut4_prisontrap/cemsky
{
	qer_editorimage textures/ut4_prisontrap/sky_cem.jpg
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .6 .72 .77 120 30 30
	//q3map_surfacelight 25
	q3map_surfacelight 135
	//q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>

	skyparms env/ut4_prisontrap/sky 2048 -
	nopicmip
	nomipmaps

	{
		map textures/ut4_prisontrap/sky_cem.jpg
		tcMod scale 1 1
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		animMap .9 textures/ut4_prisontrap/thunderbolt_1.tga textures/ut4_prisontrap/black.jpg textures/ut4_prisontrap/black.jpg textures/ut4_prisontrap/thunderbolt_2.tga textures/ut4_prisontrap/thunderbolt_3.tga textures/ut4_prisontrap/black.jpg  textures/ut4_prisontrap/black.jpg
		blendFunc add
		rgbGen identity
		rgbGen wave Sin 0 1 0 1.1

	}
}


// ///////////////
// // Animation // 
// ///////////////

textures/ut4_prisontrap/flame1
{
		
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 10000
	q3map_LightRGB 1 .5 0
	qer_editorimage textures/ut4_prisontrap/pfImage1.tga
	
	{
		animMap 10 textures/ut4_prisontrap/pfImage1.tga textures/ut4_prisontrap/pfImage2.tga textures/ut4_prisontrap/pfImage3.tga textures/ut4_prisontrap/pfImage4.tga textures/ut4_prisontrap/pfImage5.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_prisontrap/pfImage4.tga textures/ut4_prisontrap/pfImage5.tga textures/ut4_prisontrap/pfImage1.tga textures/ut4_prisontrap/pfImage2.tga textures/ut4_prisontrap/pfImage3.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_prisontrap/pfball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

// ////////////
// // Decals //
// ////////////

textures/ut4_prisontrap/sn_tanktop
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes wave 30 sin 0 3 0 .2	

	{
		map textures/ut4_prisontrap/sn_tanktop.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_prisontrap/sn_jeans
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes wave 30 sin 0 3 0 .2	

	{
		map textures/ut4_prisontrap/sn_jeans.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_prisontrap/sn_canvas1
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes wave 30 sin 0 3 0 .2	

	{
		map textures/ut4_prisontrap/sn_canvas1.jpg
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
